| KEYZY C++ Client Library 1.7.0 To develop software that is compiled with a C++ compiler and utilizes the KEYZY service (www.keyzy.io)

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Keyzy::LicenseDepositHandler Class Reference

`#include <LicenseDepositHandler.h>`

## Public Member Functions
| LicenseDepositHandler (std::shared_ptr< KeyzyLicenseProvider > licenseProvider)
LicenseStatus | registerTrial (LicenseInfo &licenseInfo, const std::string &skuNumber, const std::string &name=std::string(), const std::string &email=std::string())
LicenseStatus | registerOfflineDistributedLicense (const std::string &serialNumber, const std::string &name=std::string(), const std::string &email=std::string())

## Detailed Description

LicenseDepositHandler is used for depoisting licenses from the client device.

## Constructor & Destructor Documentation

## ◆ LicenseDepositHandler()

Keyzy::LicenseDepositHandler::LicenseDepositHandler | ( | std::shared_ptr< KeyzyLicenseProvider > | licenseProvider | ) |

Create an instance of LicenseDepositHandler

Parameters

  KeyzyLicenseProvider |

## Member Function Documentation

## ◆ registerTrial()

LicenseStatus Keyzy::LicenseDepositHandler::registerTrial | ( | LicenseInfo & | licenseInfo,
|  | const std::string & | skuNumber,
|  | const std::string & | name = std::string(),
|  | const std::string & | email = std::string() )

registerTrial registers a trial license on the KEYZY service and brings the information to the device.

Parameters

  licenseInfo | It's filled by the function with the trial license information of a license.
  skuNumber | A trial license is deposited for this SKU Number.
  name | Optional. If it's filled, the trial license is deposited with the name parameter.
  email | Optional. If it's filled, the trial license is deposited with the email parameter.

## ◆ registerOfflineDistributedLicense()

LicenseStatus Keyzy::LicenseDepositHandler::registerOfflineDistributedLicense | ( | const std::string & | serialNumber,
|  | const std::string & | name = std::string(),
|  | const std::string & | email = std::string() )

registerOfflineDistributedLicense updates the name and the email information of an offline license. If you are unsure of what an offline (dealer) license means, please check for more information on the keyzy.io domain.

Parameters

  serial | number The serial number that the information will be set.
  name | Optional. If it's filled, the trial license is deposited with the name parameter.
  email | Optional. If it's filled, the trial license is deposited with the email parameter.